MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
sc::GaussLegendreAngularIntegrator Class Reference

An implementation of an angular integrator using the Gauss-Legendre weights and grid points. More...

`#include <integrator.h>`

Inheritance diagram for sc::GaussLegendreAngularIntegrator:
[legend]
Collaboration diagram for sc::GaussLegendreAngularIntegrator:
[legend]

## Public Member Functions
| GaussLegendreAngularIntegrator (const Ref< KeyVal > &)
| Contract a GaussLegendreAngularIntegrator from KeyVal input. More...
| GaussLegendreAngularIntegrator (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
int | num_angular_points (double r_value, int ir)
double | angular_point_cartesian (int iangular, double r, SCVector3 &integration_point) const
void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::AngularIntegrator
| AngularIntegrator (const Ref< KeyVal > &)
| AngularIntegrator (StateIn &)
Public Member Functions inherited from sc::SavableState
SavableState & | operator= (const SavableState &)
void | save_state (StateOut &)
| Save the state of the object as specified by the StateOut object. More...
void | save_object_state (StateOut &)
| This can be used for saving state when the exact type of the object is known for both the save and the restore. More...
virtual void | save_vbase_state (StateOut &)
| Save the virtual bases for the object. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions
int | get_ntheta (void) const
void | set_ntheta (int i)
int | get_nphi (void) const
void | set_nphi (int i)
int | get_Ktheta (void) const
void | set_Ktheta (int i)
int | get_ntheta_r (void) const
void | set_ntheta_r (int i)
int | get_nphi_r (void) const
void | set_nphi_r (int i)
int | get_Ktheta_r (void) const
void | set_Ktheta_r (int i)
int | nw (void) const
double | sin_theta (SCVector3 &point) const
void | gauleg (double x1, double x2, int n)

## Protected Attributes
int | ntheta_
int | nphi_
int | Ktheta_
int | ntheta_r_
int | nphi_r_
int | Ktheta_r_
double * | theta_quad_weights_
double * | theta_quad_points_

## Additional Inherited Members
Static Public Member Functions inherited from sc::SavableState
static void | save_state (SavableState *s, StateOut &)
static SavableState * | restore_state (StateIn &si)
| Restores objects saved with save_state. More...
static SavableState * | key_restore_state (StateIn &si, const char *keyword)
| Like restore_state, but keyword is used to override values while restoring. More...
static SavableState * | dir_restore_state (StateIn &si, const char *objectname, const char *keyword=0)

## Detailed Description

An implementation of an angular integrator using the Gauss-Legendre weights and grid points.

## Constructor & Destructor Documentation

sc::GaussLegendreAngularIntegrator::GaussLegendreAngularIntegrator | ( | const Ref< KeyVal > & |  | ) |

Contract a GaussLegendreAngularIntegrator from KeyVal input.

This class is for testing, the LebedevLaikovIntegrator is preferred for normal use. The following parameters are read: `ntheta`, `nphi`, and `Ktheta`.

## Member Function Documentation

void sc::GaussLegendreAngularIntegrator::save_data_state | ( | StateOut & |  | ) |
| virtual

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::AngularIntegrator.

The documentation for this class was generated from the following file:

- integrator.h